Autocad Leader Problem

Greetings All, I'm updating some old lisp routines and one of them is a routine that draws a leader by picking points, drawing lines among those points and instering an arrow block at the original point. I'd rather have people just draw a normal leader but the learning curve is rather steep here (we have old schooler's) so the intent is to rewrite the existing lisp without anyone knowing there were any changes. The old lisp lets you pick the first point then as many points as needed until you hit enter or cancel. The problem I'm having is the furthest I've been able to get it is the first and second point. I assume a WHILE command would continue the points but can't figure out where it should be inserted.

Here's my current code. Un secret philippe grimbert pdf editor. I don't see a way of incorporating the unlimited picks in the command & displaying it as you go. Could use the 'pline' command, erase it, use points in the 'leader' command. Here's a partial solution, it doesn't show the leader if multiple poimts are picked, se what you think. (defun C:ldr () (setq Pt1 (getpoint ' nSelect leader start point: ')) (command 'leader' Pt1) (while (setq Pt1 (getpoint Pt1 'Next point: ')) (command Pt1) ) (command '_Annotation' ' '_N') (princ) ) RE: Leader Lisp (TechnicalUser). Hmmm.shooting from the hip.

Text, or annotation, gives the leader arrow meaning. The Leader and QLeader commands are still in AutoCAD, even though the MultiLeader command is much more versatile. When we use files that didn't apply to the QLeader command, we will often have to reattach annotation to the leader. No problem; just use the Express Tool QLAttach.